#!/bin/bash
#SBATCH -p grete:shared
#SBATCH -a 0-3
#SBATCH -c 1
#SBATCH -G 1
#SBATCH --mem=2G
#SBATCH -N 1
#SBATCH -n 1
#SBATCH -J gpu_blas_example

case $SLURM_ARRAY_TASK_ID in
  0)
    CUDAVERSION="11.7"
    ;;
  1)
    CUDAVERSION="11.8"
    ;;
  2)
    CUDAVERSION="12.0"
    ;;
  *)
    CUDAVERSION="12.1"
    ;;
esac

module unload cuda
module load cuda/$CUDAVERSION

echo "cuda: $CUDAVERSION"
./axpy_NHR_$CUDAVERSION
